{% extends "dashboard.blank.html" %}

{% block dashboard_content %}
<div class="container">
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">{{ event.title }}</h1>
        {% if event.can_stream %}
        <a href="{{ url_for('action.publish-event', event_id=event.id) }}"
            class="btn btn-success btn-icon-split btn-sm">
            <span class="icon">
                <i class="fas fa-play"></i>
            </span>
            <span class="text">Transmitir</span>
        </a>
        {% endif %}
    </div>
    {% if not event.source.is_external %}
    <div class="row">
        <div class="col-xl-4 col-lg-5">
            <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                    <h6 class="m-0 font-weight-bold text-primary"">
                        Preview
                    </h6>
                    <div class=" no-arrow">
                        {% if event.source.is_live %}
                        <span class="badge badge-pill badge-success">recebendo</span>
                        {% else %}
                        <span class="badge badge-pill badge-danger">offline</span>
                        {% endif %}
                </div>
            </div>
            
            <div class="card-body">
                {% if event.source.is_live %}
                <video id="my-video" class="video-js vjs-default-skin vjs-big-play-centered" controls
                    data-setup='{"aspectRatio":"16:9", "preload": "none"}'>
                    <source src="{{ event.source.preview_url }}"
                        type="application/x-mpegURL" />
                    <p class="vjs-no-js">
                        To view this video please enable JavaScript, and consider upgrading to a
                        web browser that
                        <a href="https://videojs.com/html5-video-support/" target="_blank">supports HTML5 video</a>
                    </p>
                </video>
                {% endif %}
            </div>
            <div class="card-body">
                ** qualidade do vídeo **
            </div>
        </div>
    </div>
    {% endif %}
    {% if event.source.is_external %}
    <div class="col">
    {% else %}
    <div class="col-8">
    {% endif %}
        <div class="card shadow mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">Informações</h6>
                <a href="{{ url_for('event.detail', event_id=event.id) }}" class="btn btn-sm btn-outline-primary">
                    <i class="fas fa-sync fa-sm text-grey-50"></i>
                </a>
            </div>
            <div class="card-body">
                {% if event.source.is_external %}
                <div class="row">
                    <div class="col-4">Origem:</div>
                    <div class="col-8">{{ event.source.external_url }}</div>
                </div>
                {% else %}
                <div class="row">
                    <div class="col-4">Servidor:</div>
                    <div class="col-8">{{ rtmp_server }}</div>
                </div>
                <div class="row">
                    <div class="col-4">Chave de transmissão: </div>
                    <div class="col-8">{{ event.source.stream_key }}</div>
                </div>
                {% endif %}
            </div>
        </div>
        <div class="card shadow mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">Destinos</h6>
                <div class="no-arrow">
                    <a href="{{ url_for('destination.new', event_id=event.id) }}"
                        class="btn btn-primary btn-icon-split btn-sm">
                        <span class="icon text-white-50">
                            <i class="fas fa-plus"></i>
                        </span>
                        <span class="text">Adicionar</span>
                    </a>
                </div>
            </div>
            <div class="card-body">
                <table class="table table-fluid">
                    <thead>
                        <tr>
                            <th scope="col">Title</th>
                            <th scope="col">Criado</th>
                            <th scope="col"></th>
                            <th scope="col"></th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for d in destinations %}
                        <tr>
                            <th>
                                <strong class="text-gray-dark">{{ d.title }}</strong>
                                {% if d.is_live %}
                                <span class="badge badge-pill badge-success">live</span>
                                {% elif d.is_queued %}
                                <span class="badge badge-pill badge-info">na fila</span>
                                {% endif %}
                            </th>
                            <td>
                                <span
                                    class="d-block text-muted small">{{ d.created_at.strftime("%d %B %Y %I:%M%p") }}</span>
                            </td>
                            <td>
                                {% if event.can_stream %}
                                {% if d.is_live %}
                                <a href="{{ url_for('action.stop-destination', event_id=event.id, destination_id=d.id) }}"
                                    class="btn btn-danger btn-icon-split btn-sm text-white">
                                    <span class="icon text-white-50">
                                        <i class="fas fa-stop"></i>
                                    </span>
                                    <span class="text">Parar</span>
                                </a>
                                {% else %}
                                <a href="{{ url_for('action.publish-destination', event_id=event.id, destination_id=d.id) }}"
                                    class="btn btn-success btn-icon-split btn-sm  text-white" data-toggle="tooltip"
                                    data-placement="top" title="Iniciar transmissão">
                                    <span class="icon">
                                        <i class="fas fa-play"></i>
                                    </span>
                                    <span class="text">Transmitir</span>
                                </a>
                                {% endif %}
                                {% endif %}
                            </td>
                            <td>
                                <div class="btn-group">
                                    <a href="{{ url_for('destination.delete', destination_id=d.id) }}"
                                        class="btn btn-sm btn-outline-danger" data-toggle="tooltip" data-placement="top"
                                        title="Remover">
                                        <i class="fas fa-trash fa-sm text-grey-50"></i>
                                    </a>
                                    <a href="/" class="btn btn-sm btn-outline-secondary" data-toggle="tooltip"
                                        data-placement="top" title="Iniciar transmissão">
                                        <i class="fas fa-edit fa-sm text-grey-50"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>

            </div>
        </div>
    </div>
</div>
<link href="https://unpkg.com/video.js/dist/video-js.css" rel="stylesheet">
<script src="https://unpkg.com/video.js/dist/video.js"></script>
{% endblock %}